*{
    margin: 0;
    padding: 0;
}

body{
    position: relative;
    background-color: #10172e;
    z-index: -1;
    font-family: sans-serif;
    min-height: 100vh;
}

body::-webkit-scrollbar{
    width: .25rem;
}

body::-webkit-scrollbar-track{
    background: #10172e;
}

body::-webkit-scrollbar-thumb{
    background: #03a9f4;
}

body.magnific-popup-open{
    margin-right: 0 !important;
}

/* --- Header --- */
header{
    position: relative;
    background-color: #10172e;
    display: flex;
    height: 7rem;
    border-bottom: 2px solid white;
    align-items: center;
    justify-content: center;
    width: 100%;
    top: 0;
}

.logo{
    margin-left: 2rem;
    display: inline-flex;
}

.logo a{
    display: inline-flex;
    width: 120px;
}

.logo img{
    width: 100%;
}

/* --- navbar --- */
#nav-bar{
    transition: top 0.5s ease-in-out;
    position: sticky;
}

nav{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav-table{
    padding-right: 2rem;
}

nav .links{
    width: 100%;
    list-style: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 2rem;
}

nav .nav-item{
    height: 39px;
}

nav .link-text{
    height: 100%;
    padding: 0 15px;
    margin: auto ;
    display: flex;
    align-items: center;
    text-decoration: none;
    color: white;
    text-transform: uppercase;
    font-size: 1rem;
    letter-spacing: 2px;
    justify-content: center;
    border: 1px solid transparent;
    transition: 0.2s ease-in-out;
}

nav .link-text:hover{
    border: 1px solid white;
    background-color: steelblue;
}

nav .link-text.active{
    color: white;
    background-color: steelblue;
    opacity: 1;
    border: 1px solid white;
    transition: all 0.5s ease-in-out 0s;
}

.ham-bar{
    margin-right: 2rem;
    width: 39px;
    display: none;
    cursor: pointer;
    position: relative;
}

.bar{
    display: block;
    width: 100%;
    height: 5px;
    margin: 7px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color: white;
}

/* -- Section -- */
section{
    width: 100%;
    height: auto;
    top: 0;
    bottom: 0;
    background-color: #FAFAFA;
    z-index: -1;
    position: relative;
}

.banner{
    height: calc(104vh - 14rem - 6px);
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.background-image{
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    bottom: 0;
    z-index: -1;
}

/* -- Title block -- */
.title-block{
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    flex-direction: column;
    background: transparent rgba(0, 0, 0, 0.5);
}

.title-block h2{
    position: absolute;
    text-transform: uppercase;
    color: white;
    white-space: normal;
    font-size: 300%;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 1.2);
    
}

.title-block h2:nth-child(1){
    -webkit-text-stroke: 1px #03a9f4;
    
    /*text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.7),
    -1px -1px 3px rgba(0, 0, 0, 0.7),
    1px -1px 3px rgba(0, 0, 0, 0.7),
    -1px 1px 3px rgba(0, 0, 0, 0.7);*/
}

.title-block h2:nth-child(2){
    color: #03a9f4;
    animation: animate 3s ease-in-out infinite;
    text-shadow: none;
}

@keyframes animate{
    0%, 100%{
    clip-path: polygon(0% 45%, 15% 44%, 32% 50%, 54% 60%, 70% 61%, 84% 59%, 100% 52%, 100% 100%, 0% 100%);
    }

    50%{
        clip-path: polygon(0% 60%, 16% 65%, 34% 66%, 51% 62%, 67% 50%, 84% 45%, 100% 46%, 100% 100%, 0% 100%);
    }
}

/* -- Service -- */
.service{
    position: relative;
    width: 100%;
    height: auto;
    background: darkgray;
}

.service-block{
    padding-top: 2rem;
    padding-bottom: 4rem;
    width: 100%;
    background: #FAFAFA;
    justify-content: center;
    display: flex;
    margin: auto;
    flex-direction: column;
}

.service-title{
    font-size: 1.8rem;
    text-transform: uppercase;
    color: white;
    -webkit-text-stroke: 1px #03a9f4;
    text-align: center; 
    color: #03a9f4;
}

.line{
    margin-top: 0.5rem;
    text-transform: uppercase;
    color: white;
    -webkit-text-stroke: 1px #03a9f4;
    text-align: center;
    color: #03a9f4;
    font-size: 1rem;
}

.work{
    margin-top: 0rem;
}

.work-relate{
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.work-relate h2{
    font-size: 1.6rem;
    color: #03a9f4;
    text-transform: uppercase;
    margin-bottom: 0.9rem;
}

.block-item{
    width:30%;
    list-style: none;
    box-shadow: 5px 5px 12px rgba(0, 0, 0, 0.7);
    padding: 2rem;
    border-radius: 5px;
    margin-top: 2rem;
}

.block-item p{
    margin-bottom: 0.9rem;
}

.block-item p:last-child{
    margin-bottom: 0rem;
}

/* -- About Us -- */
.about-space{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    background: steelblue;
}

.about-space-block{
    margin: 3rem 2rem 4rem 2em ;
    display: flex;
    width: 100%;
    justify-content: center;
    box-shadow: 5px 5px 12px rgba(0, 0, 0, 0.7);
    border-radius: 30px;
    overflow: hidden;
    flex-direction: row;
}

.about-title{
    color: #03a9f4;
    text-align: center;
    font-size: 1.8rem;
    text-transform: capitalize;
    margin-bottom: 2rem;
}

.space{
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.about-us{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: black;
    width: 100%;
    list-style: none;
    padding-left: 4rem;
    padding-right: 2rem;
    padding-top: 4rem;
    padding-bottom: 4rem;
    background: #FAFAFA;
    height: 100%;
}

.image-about{
    width: 75%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: #FAFAFA;
    padding-left: 2rem;
    padding-right: 4rem;
    padding-top: 4rem;
    padding-bottom: 4rem;
}

.image-about img{
    width: 100%;
    height: 100%;
    border-radius: 30px;
    box-shadow: 5px 5px 12px rgba(0, 0, 0, 0.7);
}

.design-about{
    cursor: zoom-in;
}

/* -- Project --*/
.project-space{
    height: auto;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    background: #FAFAFA;
}

.project-title{
    color: #03a9f4;
    text-align: center;
    font-size: 1.8rem;
    text-transform: capitalize;
    padding: 20px 0;
}

.project-block{
    background-color: #FAFAFA;
    padding-top: 2rem;
    padding-bottom: 2rem;
}

.project-image{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 21px;
    justify-content: center;
    align-items: center;
}

.project-image .design-project{
    width: 400px;
    height: 325px;
    overflow: hidden;
    border: 9px solid #03a9f4;
    border-radius: 5px;
    box-shadow: 5px 5px 12px rgba(0, 0, 0, 0.7);
    margin: 21px;
    box-sizing: border-box;
}

.project-image .design-project img{
    height: 100%;
    width: 100%;
}

.design-project{
    cursor: zoom-in;
}
/*.zoomable{
    cursor: zoom-in;
    transition: transform 0.3s esae;
}

.zoomable.zoomed{
    transform: scale(2);
    cursor: zoom-out;
}*/

/* -- Contact -- */
.contact-space{
    display: flex;
    align-items: center;
    justify-content: center;
    background: steelblue;
}

.contact-item{
    margin: 3rem 2rem 4rem 2rem;
    display: flex;
    width: 100%;
    justify-content: center;
    box-shadow: 5px 5px 12px rgba(0, 0, 0, 0.3);
    border-radius: 30px;
    overflow: hidden;
    flex-direction: row;
}

.contact-title{
    color: #03a9f4;
    text-align: center;
    font-size: 1.8rem;
    text-transform: capitalize;
}

.contact-block{
    width: 100%;
    padding: auto;
    margin: auto;
    justify-content: center;
}

.contact-item form{
    background-color: #F4F4F4;
    padding: 3rem;
    width: 100%;
}

.contact-title{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 1rem;
}

form .input-box{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-bottom: 0px;
}

.input-box .input-group{
    width: 45%;
}

.input-group .contact-input, .input-field textarea{
    width: 100%;
    padding: 18px;
    margin: 5px 0 12px 0;
    outline: none;
    font-size: 14px;
    box-sizing: border-box;
    /*display: flex;
    justify-content: space-evenly;*/
}

label{
    margin-bottom: 0.1rem;
    display: block;
}

.input-field{
    width: 100%;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

textarea{
    resize: none;
    box-sizing: border-box;
    width: 100%;
    padding: 18px;
}

form button{
    padding: 12px 12px;
    border: none;
    outline: none;
    border-radius: 50px;
    width: 100%;
    cursor: pointer;
    transition: .5s;
    box-shadow: 5px 5px 12px rgba(0, 0, 0, 0.3);
    background: #03a9f4;
    color: white;
    font-size: 18px;
    margin-top: 1rem;
}

form button:hover{
    box-shadow: none;
}

.right-side table{
    border-spacing: 0 4rem;
}

.contact-item .right-side{
    background-color: #03a9f4;
    width: auto;
    color: white;
    box-sizing: border-box;
    padding: 4rem 2rem 0 2rem;
}

.right-side-title{
    color: white;
    font-size: 1.8rem;
    text-transform: capitalize;
    display: flex;
    align-items: center;
}

tr td:first-child{
    white-space: wrap;
}

.new-line a{
    text-decoration: underline;
    color: white;
}

#thankYouMessage{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #FAFAFA;
    padding: 48px;
    color: #03a9f4;
    border-radius: 12px;
    border: 2px solid #03a9f4;
    box-shadow: 5px 5px 12px rgba(0, 0, 0, 0.7);
    text-align: center;
    z-index: 1000;
    display: none;
}

.thank-you p{
    margin-top: 1rem;
}

.no-scroll{
    overflow: hidden;
}

/* -- Footer -- */
footer{
    position: relative;
    background-color: #10172e;
    height: 7rem;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    bottom: 0;
    border-top: 2px solid white;
}

footer nav{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

footer nav .bottom-links{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    list-style: none;
    gap: 4rem;
}

footer nav .bottom-nav-item{
    height: 39px;
}

footer nav .social-media{
    height: 100%;
    text-decoration: none;
    opacity: 0.7;
    transition: all 0.5s ease-in-out 0s;
    display: flex;
}

footer nav .social-media:hover{
    opacity: 1;
}

footer .bottom-logo{
    display: inline-flex;
    margin: auto;
}

footer .bottom-logo a{
    display: inline-flex;
    width: 75px;
}

footer .bottom-logo img{
    width: 100%;
}

.copyright{
    color: white;
    font-size: x-small;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    opacity: 0.7;
}

@media only screen and (max-width: 1000px){
    .project-image .design-project{
        width: 300px;
        height: 225px;
    }
}

@media only screen and (max-width: 900px){

    .contact-item{
        flex-direction: column;
        margin: 0;
        border-radius: 0;
    }

    .contact-block .right-side{
        width: 100%;
        padding: 4rem;
        box-sizing: border-box;
    }

    .contact-item form{
        padding-top: 2rem;
        padding-left: 4rem;
        padding-right: 4rem;
        padding-bottom: 4rem;
        width: 100%;
        box-sizing: border-box;
    }
}

@media only screen and (max-width: 750px){
    .ham-bar{
        display: block;
    }

    .ham-bar.active .bar:nth-child(2){
        opacity: 0;
    }

    .ham-bar.active .bar:nth-child(1){
        transform: translateY(12px) rotate(-45deg);
    }

    .ham-bar.active .bar:nth-child(3){
        transform: translateY(-12px) rotate(45deg);
    }

    .nav-table{
        height: 0;
        position: absolute;
        top: 7rem;
        left: 0;
        right: 0;
        width: 100%;
        background: #10172e;
        transition: height 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
        overflow: hidden;
        border-top: 2px solid white;
        border-bottom: 2px solid white;
        display: flex;
        justify-content: center;
        align-items: center;
        opacity: 99%;
        padding: 0;
    }

    .nav-table.active{
        height: 319px;
    }

    header nav .links{
        display: flex;
        flex-direction: column;
        width: fit-content;
        text-align: center;
        transition:  0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
        opacity: 0;
        padding: 0;
    }

    header nav .nav-table.active .links{
        opacity: 99%;
    }

    header nav .nav-item{
        width: 121.48px;
    }

    .title-block h2{
        font-size: 270%;
        white-space: wrap;
    }

    .block-item{
        padding: 0.9rem;
        width: 42%;
    }

    .about-us{
        width: 100%;
    }

    .image-about{
        width: 100%;
    }

    .contact-item{
        flex-direction: column;
        margin: 0;
        border-radius: 0;
    }

    .contact-block .right-side{
        width: 100%;
        padding: 1.5rem;
        box-sizing: border-box;

    }

    .contact-item form{
        padding: 1.5rem;
        width: 100%;
        box-sizing: border-box;
    }
}

@media only screen and (max-width: 730px){
    .project-image{
        grid-template-columns: repeat(1, 1fr);
    }
}

@media only screen and (max-width: 480px){
    .banner{
        height: calc(97vh - 14rem - 6px);
    }
    
    .line{
        font-size: 0.9rem;
    }

    .title-block p{
        margin-left: 2rem;
        margin-right: 2rem;
        white-space: wrap;
    }

    .title-block h2{
        font-size: 210%;
        white-space: wrap;
    }

    .work-relate{
        width: 100%;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
    }

    .block-item{
        width: 67%;
        padding: 2rem;
    }

    .about-space{
        background: #FAFAFA;
    }

    .about-space-block{
        margin: auto;
        border-radius: 0;
        background: #FAFAFA;
        box-shadow: none;
    }

    .space{
        flex-direction: column;
        width: 100%;
        padding-left: 2rem;
        padding-right: 2rem;
    }

    .about-us{
        width: 100%;
        background: #F4F4F4;
        padding-right: 4rem;
    }

    .image-about{
        width: 100%;
        padding: 2rem;
        gap: 2rem;
        background:#03a9f4;
    }

    .image-about img{
        box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
        border-radius: 12px;
    }

    .design-about{
        margin: 0;
    }

    .design-about-2{
        margin: 0;
    }

    form .input-box{
        flex-direction: column;
        align-items: normal;
    }

    .contact-title{
        margin: 0;
    }

    .input-box .input-group{
        width: auto;
    }

    .contact-space{
        background: #FAFAFA;
    }
}